Task edit form unneededly displays locked "Security" dropdown field
Closed, ResolvedPublic

Description

The edit form shows a locked "Security" field. This is not useful. If a task is sensitive, you can see it without pressing "edit task", so we should hide this field, display it locked does not bring us advantages, it only makes the form bigger, which is not useful for small screens.

Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptFeb 21 2016, 10:38 AM

Normaly nobody should edit the visibility/edit policy (except a few users), so the field is locked. Alternativly, we can hide it. The security field is locked, because we got now the button "Protect as security issue", I think we can hide it, can't we?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 2 2016, 7:57 PM
Aklapper closed this task as Declined.Sep 23 2016, 3:16 PM

Going to https://phabricator.wikimedia.org/maniphest/task/edit/127637/ with my private account (no special rights), only the "Security" field is locked. "Visible To" and "Editable By" isn't displayed anymore.

Having one useless field doesn't feel like "cluttered" hence closing this task as something between resolved and declined.

Luke081515 reopened this task as Open.Sep 24 2016, 4:10 PM

Can we hide the security field again? It makes no sense to display it, I mean you can see the value, if you don't edit the task. Currently it makes only the form bigger, with no useful advantages.

Feel free to edit the task summary accordingly.

Aklapper triaged this task as Lowest priority.Oct 7 2016, 5:19 PM
Aklapper renamed this task from Task edit is cluttered by locked fields to Task edit form unneededly displays locked "Security" dropdown field.Nov 17 2016, 5:21 PM
Aklapper closed this task as Resolved.Sep 13 2017, 2:30 PM
Aklapper claimed this task.

I do not see a "Security" dropdown field anymore. If you can still see one, please reopen with a URL to reproduce.